@use '../../stylesheets/core';

.rui-modal {
  %footer {
    max-height: 2.913rem;
    flex: none;
    padding: var(--spacer-default);
    margin-top: 0;
    margin-bottom: 0;
    background-color: var(--background-color);
    text-align: right;
  }

  &__widget {
    position: fixed;
    z-index: var(--z-index-modal);
    top: var(--spacer-medium);
    right: var(--spacer-medium);
    left: var(--spacer-medium);
    display: flex;
    max-height: calc(100vh - (var(--spacer-medium) * 2));
    flex-direction: column;
    border-radius: var(--border-radius);
    background-color: var(--background-color);
    box-shadow: 0 0 10px 0 rgb(0 0 0 / 80%);

    @include core.respond-to('medium-up') {
      top: 15vh;
      right: unset;
      left: calc((100% - 600px) / 2);
      width: 600px;
      max-width: 80vw;
    }

    &--large {
      bottom: var(--spacer-medium);
      left: calc((100% - 60vw) / 2);
      width: 60vw;
    }
  }

  &__header {
    display: flex;
    max-height: 2.913rem;
    flex: none;
    align-items: center;
    padding: var(--spacer-default);
    border-bottom: 1px solid var(--border-color);
    border-top-left-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
    gap: var(--spacer-small);

    h2 {
      flex-grow: 1;
      margin: 0;
      font-size: var(--font-size-h3);
      font-weight: var(--font-weigth-h3);
    }
  }

  &__content {
    width: 100%;
    flex-grow: 1;
    overflow-y: auto;

    @include core.respond-to('medium-up') {
      max-height: 70vh;
    }

    // Actions areas in modals looks like footer
    .rui-actions {
      @extend %footer;

      &.rui-actions--bottom {

        // Reduce padding to complete modal content's bottom padding
        border-top: 1px solid var(--border-color);
        margin-top: var(--spacer-default);
      }

      &.rui-actions--top {

        // Reduce padding to complete modal content's bottom padding
        border-bottom: 1px solid var(--border-color);
        margin-bottom: var(--spacer-default);
      }
    }
  }

  &__footer {
    border-top: 1px solid var(--border-color);

    @extend %footer;
  }
}
